uuid: 0e1b0e19-eb7b-4784-b2ab-ac7d74e6641b
langcode: en
status: true
dependencies: {  }
id: gronze_node_page_fields
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - node
  - gronze
  - page
  - level3
migration_group: gronze_node_fields
label: 'Page nodes fields migration from Gronze D7'
source:
  high_water_property:
    name: vid
    alias: 'n'
  plugin: d7_node_gronze
  node_type: page
process:
  changed: changed
  nid:
    plugin: migration_lookup
    migration: gronze_node_page
    source: nid
    no_stub: true
  body/value: body/0/value
  body/summary: body/0/summary
  body/format:
    plugin: text_format_map
    source: body/0/format
  field_image:
    plugin: sub_process
    source: field_image_main
    process:
      target_id:
        plugin: migration_lookup
        migration:
          - gronze_media_document
          - gronze_media_geo
          - gronze_media_image
          - gronze_media_mapa
          - gronze_media_video
          - gronze_media_youtube
          - gronze_media_vimeo
        source: fid
        no_stub: true
  field_gronze_images:
    plugin: sub_process
    source: field_gronze_images
    process:
      target_id:
        plugin: migration_lookup
        migration:
          - gronze_media_document
          - gronze_media_geo
          - gronze_media_image
          - gronze_media_mapa
          - gronze_media_video
          - gronze_media_youtube
          - gronze_media_vimeo
        source: fid
        no_stub: true
  field_gronze_files:
    plugin: sub_process
    source: field_gronze_files
    process:
      target_id:
        plugin: migration_lookup
        migration:
          - gronze_media_document
          - gronze_media_geo
          - gronze_media_image
          - gronze_media_mapa
          - gronze_media_video
          - gronze_media_youtube
          - gronze_media_vimeo
        source: fid
        no_stub: true
  field_para_text:
    plugin: sub_process
    source: field_paragraph_texto
    process:
      target_id:
        -
          plugin: migration_lookup
          migration:
            - gronze_pg_simple_text
            - gronze_pg_text_small_image
            - gronze_pg_image_full_width
            - gronze_pg_text_links
            - gronze_pg_media_full_width
            - gronze_pg_section_text
            - gronze_pg_list_content_titles
            - gronze_pg_note_simple
            - gronze_pg_pack_node_list
            - gronze_pg_pack_taxonomy_list
            - gronze_pg_related_content
            - gronze_pg_related_terms
            - gronze_pg_note_location
            - gronze_pg_etapa_alternative
            - gronze_pg_etapa_location
            - gronze_pg_etapa_map
            - gronze_pg_etapa_note
            - gronze_pg_etapa_stretch
          source: value
          no_stub: true
        -
          plugin: extract
          index:
            - 0
      target_revision_id:
        -
          plugin: migration_lookup
          migration:
            - gronze_pg_simple_text
            - gronze_pg_text_small_image
            - gronze_pg_image_full_width
            - gronze_pg_text_links
            - gronze_pg_media_full_width
            - gronze_pg_section_text
            - gronze_pg_list_content_titles
            - gronze_pg_note_simple
            - gronze_pg_pack_node_list
            - gronze_pg_pack_taxonomy_list
            - gronze_pg_related_content
            - gronze_pg_related_terms
            - gronze_pg_note_location
            - gronze_pg_etapa_alternative
            - gronze_pg_etapa_location
            - gronze_pg_etapa_map
            - gronze_pg_etapa_note
            - gronze_pg_etapa_stretch
          source: value
          no_stub: true
        -
          plugin: extract
          index:
            - 1
destination:
  plugin: 'entity:node'
  default_bundle: page
migration_dependencies:
  required:
    - gronze_node_page
    - gronze_media_document
    - gronze_media_geo
    - gronze_media_image
    - gronze_media_mapa
    - gronze_media_video
    - gronze_media_youtube
    - gronze_media_vimeo
    - gronze_pg_simple_text
    - gronze_pg_text_small_image
    - gronze_pg_image_full_width
    - gronze_pg_text_links
    - gronze_pg_media_full_width
    - gronze_pg_section_text
    - gronze_pg_list_content_titles
    - gronze_pg_note_simple
    - gronze_pg_pack_node_list
    - gronze_pg_pack_taxonomy_list
    - gronze_pg_related_content
    - gronze_pg_related_terms
    - gronze_pg_note_location
    - gronze_pg_etapa_alternative
    - gronze_pg_etapa_location
    - gronze_pg_etapa_map
    - gronze_pg_etapa_note
    - gronze_pg_etapa_stretch
